- Qt 5.5
- Qt Multimedia
- C++ Classes
- QMediaServiceProviderPlugin
- Qt 5.5.1 Reference Documentation

# QMediaServiceProviderPlugin Class

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins. More...

Header: | #include <QMediaServiceProviderPlugin>
qmake: | QT += multimedia
Inherits: |

- List of all members, including inherited members

## Public Functions

virtual QMediaService * | create(const QString & key) = 0

## Reimplemented Public Functions

virtual void | release(QMediaService * service) = 0

## Detailed Description

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins.

A media service provider plug-in may implement one or more of QMediaServiceSupportedFormatsInterface, QMediaServiceSupportedDevicesInterface, and QMediaServiceFeaturesInterface to identify the features it supports.

## Member Function Documentation

### `[pure virtual]` QMediaService * QMediaServiceProviderPlugin::create(const QString & key)

Constructs a new instance of the QMediaService identified by key.

The QMediaService returned must be destroyed with release().

### `[pure virtual]` void QMediaServiceProviderPlugin::release(QMediaService * service)

Destroys a media service constructed with create().